<?php

namespace App\Filament\Resources\ProfitCenterSupplierSchedules\Pages;

use App\Filament\Resources\ProfitCenterSupplierSchedules\ProfitCenterSupplierScheduleResource;
use Filament\Actions\DeleteAction;
use Filament\Actions\ForceDeleteAction;
use Filament\Actions\RestoreAction;
use Filament\Resources\Pages\EditRecord;

class EditProfitCenterSupplierSchedule extends EditRecord
{
    protected static string $resource = ProfitCenterSupplierScheduleResource::class;

    protected function getHeaderActions(): array
    {
        return [
            DeleteAction::make(),
            ForceDeleteAction::make(),
            RestoreAction::make(),
        ];
    }

    protected function getFooterWidgets(): array
    {
        return [
            \App\Filament\Widgets\DeliveryCalendarWidget::class,
        ];
    }
}
